<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">กระบวนการทำงาน</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับกระบวนการทำงานตามหัวข้อด้านล่าง
      </p>
    </div>

    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
  <!------------------------------------------------- กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ ------------------------------------------------>
  <div class="row">
    <div class="col-12">
      <p class="head-detal">กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ</p>
    </div>
    <div class="col-12">
      <mat-radio-group aria-label="Select an option" [(ngModel)]="SOP" (ngModelChange)="clearWorkFlow()">
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="1">
              <div class="bd-highlight radio-detail"
                [ngClass]="{'checkbox-detail-true': SOP === '1','checkbox-detail-false': SOP !== '1'}">
                เป็นกระบวนการเดิมที่มี SOP รองรับอยู่แล้ว</div>
            </mat-radio-button>
          </div>
        </div>
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="2">
              <div class="bd-highlight radio-detail"
                [ngClass]="{'checkbox-detail-true': SOP === '2','checkbox-detail-false': SOP !== '2'}">
                เป็นกระบวนการเดิมแต่ยังไม่มี SOP รองรับ</div>
            </mat-radio-button>
          </div>
        </div>
        <div class="d-flex align-items-stretch radio-layout" style=" margin-bottom: 10px;"
          [ngClass]="{'disabled': SOP !== '1' && SOP !== '2'}">
          <div class="row  body-detal-checkbox" style="width: 100%; background-color: #FAFAFA;">
            <div class="col-md-12">
              <p
                [ngClass]="{'input_select': SOP === '1' || SOP === '2', 'input_select_disabled': SOP !== '2' && SOP !== '2'}">
                ตามหนังสือที่</p>
              <input type="text" class="form-control input-detail" placeholder=""
                [(ngModel)]="stepFour.responseProcessSop.refNo" (ngModelChange)="changeSaveDraft()"
                [disabled]="!(SOP === '1' || SOP === '2')">
            </div>
            <div class="col-md-12">
              <p
                [ngClass]="{'input_select': SOP === '1' || SOP === '2', 'input_select_disabled': SOP !== '2' && SOP !== '2'}">
                วันที่มีผลบังคับใช้</p>
              <div class="icon-warpper1">
                <!-- <img src="../../../../../assets/img/calendar.svg" class="btn-date"> -->
              </div>
              <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="model" class="form-control"
                placeholder="" [options]="myDpOptions" #dp="angular-mydatepicker" (click)="dp.toggleCalendar()"
                [disabled]="!(SOP === '2')" (ngModelChange)="changeSaveDraft()"
                (dateChanged)="changeDatepicker($event)" /> -->
              <app-date [datepicker_input]="{ role: null , dateData: model, index: null, page: SOP }"
                (DateChange)="model = changeDate($event)"></app-date>
            </div>
            <!-- +++++++++++++++++++++++++++++++++= กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ อัปโหลดเอกสาร ++++++++++++++++++++++++++++++++++++ -->
            <div class="col-md-12 pt-3 pb-3">
              <div class="typeofcollateral">
                <p
                  [ngClass]="{'input_select': SOP === '1' || SOP === '2', 'input_select_disabled': SOP !== '2' && SOP !== '2'}">
                  อัปโหลดเอกสาร</p>
                <!-- <div  [ngClass]="{'dropzone': stepFour.SOP === '2', 'dropzone-disabled': stepFour.SOP !== '2'}"> -->
                <div class="dropzone">
                  <input [disabled]="!(SOP === '1' || SOP === '2')" class="form-control" type="file" #fileDropRef
                    id="fileDropRef" multiple (change)="onSelectFile(1,$event)" />
                  <!-- accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                    application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                    application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                    .jpg,.png" -->
                  <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                  <a for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
                </div>
              </div>
              <br />
              <div class="row">
                <div class="col-12 table_files">
                  <table mat-table [dataSource]="dataSource_file_sub">
                    <!-- Position Column -->
                    <ng-container matColumnDef="name">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="size">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="delete">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index">
                        <a class="download_file" *ngIf="downloadfile_by_sub[index] === 'path'"
                          (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                        <a class="download_file" *ngIf="downloadfile_by_sub[index] === 'base64'"
                          (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                        <a class="pipe">|</a>
                        <a class="delete_file" (click)="delete_mutifile(1,element, index)">ลบไฟล์</a>
                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef=" displayedColumns_file_sub"></tr>
                    <tr mat-row *matRowDef="let row; columns:  displayedColumns_file_sub"></tr>
                  </table>
                </div>
              </div>
            </div>
            <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
          </div>
        </div>
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="3">
              <div class="bd-highlight radio-detail"
                [ngClass]="{'checkbox-detail-true': SOP === '3','checkbox-detail-false': SOP !== '3'}">เป็นกระบวนการใหม่
                ต้องจัดทำกระบวนการทำงานและรายละเอียดกระบวนการทำงาน
              </div>
            </mat-radio-button>
          </div>
        </div>
      </mat-radio-group>
    </div>
  </div>

  <!-- ----------------------------------------- กระบวนการทำงาน (Work Flow) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">กระบวนการทำงาน (Work Flow)</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">
        <!-- <div placeholder="ระบุรายละเอียด" contenteditable [innerHTML]="this.textareaForm.get('workFlowText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="workFlowText"
          (ngModelChange)="changeSaveDraft($event)"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(); changeSaveDraft()" rows="2" (click)="autogrow()" type="text" id="workFlowText"
          [(ngModel)]="stepFour.workFlowText" #description="ngModel" name="workFlowText" required></textarea>
        <!-- ===================================================== -->
        <div style="position: relative;">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )">
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{stepFour.workFlow.file[i].name}}"
                    title="{{stepFour.workFlow.file[i].name}}" class="photo" (click)="image_click(1, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png" style="width:526px">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>
        </div>
        <!-- =================================================== -->
      </div>
    </div>


    <!-- <div class="col-12">
      <div class="textarea-container">
        <div class="input_upload">
          <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
            (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1">
          <label class="form-control input_upload_label" for="fileDropRef"><img
              src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
            เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
        </div>

        <div class="image_row">
          <div class="row image_col">
            <div class="unnon_image_out" *ngFor="let item of image1; index as i">
              <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )">
              <div class="unnon_image">
                <img [src]="image1[i]" alt="{{stepFour.workFlow.file[i].name}}"
                  title="{{stepFour.workFlow.file[i].name}}" class="photo" (click)="image_click(1, i )">
              </div>
            </div>

            <div class="non_image" [ngStyle]="{'display': (!(image1.length > 0)) ? 'none' : '' }">
              <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2">
              <label class="form-control non_image_text" for="fileDropRef"><img
                  src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

            </div>
          </div>
        </div> -->
    <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
          placeholder="ระบุรายละเอียด Business Model ของผลิตภัณฑ์" style="height: 261px;"
          [(ngModel)]="stepFour.workFlowText" (ngModelChange)="changeSaveDraft()"></textarea> -->

    <!-- </div> -->
    <!-- </div> -->

  </div>

  <!-- ----------------------------------------- รายละเอียดกระบวนการทำงาน -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดกระบวนการทำงาน</p>
        </div>
        <div class="flex-shrink-1 bd-highlight">
          <button type="button" class="btn add_table head-detal" (click)="addRow()"><img
              src="../../../../../assets/img/add_white.svg">
            <a>เพิ่มข้อมูล</a>
          </button>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 10px;">
    </div>

    <div class="col-12">
      <div class="overflow-auto" cdkDropListGroup>
        <table class="table-proccess table table-striped">
          <thead>
            <tr>
              <th class="text-nowrap" style="width: 12%;text-align: center;">กระบวนการหลัก</th>
              <th class="text-nowrap" style="width: 15%;text-align: center;">กระบวนการย่อย</th>
              <th class="text-nowrap" style="width: 10%;text-align: center;">In/Out</th>
              <th class="text-nowrap" style="width: 10%;text-align: center;">IT Related</th>
              <th class="text-nowrap" style="width: 15%;text-align: center;">ระบุความเสี่ยง</th>
              <th class="text-nowrap" style="width: 15%;text-align: center;">การควบคุมความเสี่ยง (เดิม)</th>
              <th class="text-nowrap" style="width: 17%;text-align: center;">การควบคุมความเสี่ยง (เพิ่มเติม)</th>
              <th class="text-nowrap" style="width: 8%;"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepFour.requestProcessConsiders; index as istep">
              <td style="width: 12%;padding-top: 1.6%">
                <div *ngIf="checkStaticTitle(istep); else notStaticType">
                  {{ item.mainProcess }}
                </div>
                <ng-template #notStaticType>
                  <!-- <input type="text" class="form-control" placeholder="ระบุกระบวนการหลัก"
                    [(ngModel)]="item.mainProcess"> -->
                  <textarea appTextareaAutoresize autocomplete="off" class="form-control s-textarea example" type="text" id="textprocess1{{istep}}"
                    placeholder="ระบุกระบวนการหลัก" [(ngModel)]="item.mainProcess" (keyup)="changeSaveDraft()"
                    name="textprocess1" required></textarea>

                </ng-template>
              </td>
              <td colspan="7" class="pd-0">
                <table class="table-proccess-data wi" cdkDropList [cdkDropListData]="item.subProcess"
                  (cdkDropListDropped)="drop($event)" (cdkDropListEntered)="entered($event)"
                  (cdkDropListExited)="dragExited($event)">
                  <tr *ngFor="let processItem of item.subProcess; index as isub" [cdkDragData]="processItem"
                    (cdkDragStarted)="startDrag($event,istep)" cdkDrag>
                    <td style="width: 16%;padding-top: 1.6%"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <img cdkDragHandle class="icongrap-sub" src="assets/img/grip-vertical.svg" alt="">

                      <textarea appTextareaAutoresize autocomplete="off" class="form-control s-textarea example" type="text" id="textprocess2{{istep}}"
                        placeholder="ระบุกระบวนการย่อย" [(ngModel)]="processItem.subTitle"
                        (ngModelChange)="changeSaveDraft()" name="textprocess2" required></textarea>

                    </td>
                    <td style="width: 12%;padding-top: 1.6%"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <select class="form-control" [(ngModel)]="processItem.inOut" (ngModelChange)="changeSaveDraft()">
                        <option value=null disabled>select In/Out</option>
                        <option value="No">No</option>
                        <option value="Outsourcing_full">Outsourcing-full</option>
                        <option value="Outsourcing_partial">Outsourcing-partial</option>
                        <option value="Insourcing">Insourcing</option>
                        <option value="Insourcing_Out_full">Insourcing->Out-full</option>
                        <option value="Insourcing_Out_partial">Insourcing->Out-partial</option>
                      </select>
                    </td>
                    <td style="width: 11%;padding-top: 1.6%"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <select class="form-control" [(ngModel)]="processItem.itRelate"
                        (ngModelChange)="changeSaveDraft()">
                        <option value=null disabled>select IT Relate</option>
                        <option value="Yes">Yes</option>
                        <option value="No">NO</option>
                        <option value="TBD">TBD</option>
                      </select>
                    </td>

                    <td style="width: 100%;" cdkDropListGroup>
                      <table style="width: 100%;" class="pd-0" cdkDropList id="{{processItem.id}}"
                        [cdkDropListData]="processItem.subProcessRisk" (cdkDropListDropped)="dropItem($event)"
                        (cdkDropListEntered)="entered($event)" (cdkDropListExited)="dragExited($event)"
                        [cdkDropListConnectedTo]="connectItem()">
                        <tr *ngFor="let subProcessRisk of processItem.subProcessRisk; index as isubRisk"
                          [cdkDragData]="subProcessRisk" (cdkDragStarted)="startDrag_Risk($event, isub, istep)" cdkDrag>
                          <td style="width: 28%;"
                            [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                            <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="">


                            <textarea appTextareaAutoresize autocomplete="off" class="form-control s-textarea example" type="text" id="textprocess3{{istep}}"
                              placeholder="ระบุความเสี่ยง" [(ngModel)]="subProcessRisk.risk"
                              (ngModelChange)="changeSaveDraft()" name="textprocess3" required></textarea>
                          </td>
                          <td style="width: 28%;"
                            [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                            <textarea appTextareaAutoresize autocomplete="off" class="form-control s-textarea example" type="text" id="textprocess4{{istep}}"
                              placeholder="ระบุการควบคุมความเสี่ยง (เดิม)" [(ngModel)]="subProcessRisk.riskControl"
                              (ngModelChange)="changeSaveDraft()" name="textprocess4" required></textarea>
                          </td>
                          <td style="width: 30%;"
                            [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                            <textarea appTextareaAutoresize autocomplete="off" class="form-control s-textarea example" type="text" id="textprocess5{{istep}}"
                              placeholder="ระบุการควบคุมความเสี่ยง (เพิ่มเติม)"
                              [(ngModel)]="subProcessRisk.riskControlOther" (ngModelChange)="changeSaveDraft()"
                              name="textprocess5" required></textarea>
                          </td>
                          <td style="width: 10%;"
                            [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                            <span class="delete-data" (click)="removeDataItem(istep , isub, isubRisk)">ลบข้อมูล</span>
                          </td>

                        </tr>
                      </table>
                    </td>

                  </tr>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>

    <div class="col-12 d-flex justify-content-end">
      <button type="button" class="btn add_table head-detal" (click)="addRow()"><img
          src="../../../../../assets/img/add_white.svg">
        <a>เพิ่มข้อมูล</a>
      </button>
    </div>
  </div>


  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="typeofcollateral">
      <p class="head-detal">อัปโหลดเอกสาร</p>
      <div class="dropzone">
        <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
          (change)="onSelectFile(2,$event)" />

        <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
        <a style="font-size: 18px; color: #00a6e6;"
          for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
      </div>
    </div>
    <br />
    <div class="row">
      <div class="col-12 table_files">
        <table mat-table [dataSource]="dataSource_file">
          <!-- Position Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let index = index">
              <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
              <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
              <a class="pipe">|</a>
              <a class="delete_file" (click)="delete_mutifile(2,element, index)">ลบไฟล์</a>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
        </table>
      </div>
      <br>
    </div>
  </div>



  <!-- ------------------------------------------------------------------------------------------------------------------ -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br> <br>
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div>
    </div>
    <br> <br>
  </div>

</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>

<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <!------------------------------------------------- กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ ------------------------------------------------>
  <div class="row">
    <div class="col-12">
      <p class="head-detal">กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <ul>
        <li class="ul_10" *ngIf="SOP === '1'">เป็นกระบวนการเดิมที่มี SOP รองรับอยู่แล้ว</li>
        <li class="ul_10" *ngIf="SOP === '2'">เป็นกระบวนการเดิมแต่ยังไม่มี SOP รองรับ</li>
        <li class="ul_10" *ngIf="SOP === '3'">เป็นกระบวนการใหม่ ต้องจัดทำกระบวนการทำงานและรายละเอียดกระบวนการทำงาน</li>
      </ul>
    </div>

    <div class="col-12" *ngIf="SOP === '1' || SOP === '2'">
      <div class="d-flex align-items-stretch radio-layout" style=" margin-bottom: 10px;"
        [ngClass]="{'disabled': SOP !== '1' && SOP !== '2'}">
        <div class="row  body-detal-checkbox" style="width: 100%; background-color: #FAFAFA;">
          <div class="col-md-12" style="word-wrap: break-word;">
            <p
              [ngClass]="{'input_select': SOP === '1' || SOP === '2', 'input_select_disabled': SOP !== '1' && SOP !== '2'}">
              ตามหนังสือที่</p>
            &nbsp; {{ stepFour.responseProcessSop.refNo }}
          </div>
          <div class="col-md-12">
            <p
              [ngClass]="{'input_select': SOP === '1' || SOP === '2', 'input_select_disabled': SOP !== '1' && SOP !== '2'}">
              วันที่มีผลบังคับใช้</p>
            &nbsp; {{ ReviewConvertDate(stepFour.responseProcessSop.effectiveDate) }}
          </div>
          <!-- +++++++++++++++++++++++++++++++++= กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ อัปโหลดเอกสาร ++++++++++++++++++++++++++++++++++++ -->
          <div class="col-md-12 pt-3 pb-3">
            <div class="typeofcollateral">
              <p>เอกสารเเนบ</p>
            </div>
            <div class="row">
              <div class="col-12 table_files_validate">
                <table mat-table [dataSource]="dataSource_file_sub" style="width: 100%;">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element" style="text-align: center;">{{ element.fileName }}</td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element" style="text-align: center;">
                      {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="delete">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index">
                      <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef=" displayedColumns_file_sub"></tr>
                  <tr mat-row *matRowDef="let row; columns:  displayedColumns_file_sub"></tr>
                </table>
              </div>
            </div>
          </div>
          <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
        </div>
      </div>
    </div>
  </div>

  <!-- ----------------------------------------- กระบวนการทำงาน (Work Flow) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">กระบวนการทำงาน (Work Flow)</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepFour.workFlowText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )"> -->
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{stepFour.workFlow.file[i].name}}"
                    title="{{stepFour.workFlow.file[i].name}}" class="photo" (click)="image_click(1, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- ----------------------------------------- เกณฑ์การพิจารณาสินเชื่อ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">เกณฑ์การพิจารณาสินเชื่อ</p>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 10px;">
    </div>

    <div class="col-12">
      <div class="overflow-auto">
        <table class="table-proccess table table-striped">
          <thead>
            <tr>
              <th class="text-nowrap" style="width: 16%;text-align: center;">กระบวนการหลัก</th>
              <th class="text-nowrap" style="width: 16%;text-align: center;">กระบวนการย่อย</th>
              <th class="text-nowrap" style="width: 10%;text-align: center;">In/Out</th>
              <th class="text-nowrap" style="width: 10%;text-align: center;">IT Related</th>
              <th class="text-nowrap" style="width: 16%;text-align: center;">ระบุความเสี่ยง</th>
              <th class="text-nowrap" style="width: 16%;text-align: center;">การควบคุมความเสี่ยง (เดิม)</th>
              <th class="text-nowrap" style="width: 16%;text-align: center;">การควบคุมความเสี่ยง (เพิ่มเติม)</th>
              <!-- <th class="text-nowrap" style="width: 8%;"></th> -->
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepFour.requestProcessConsiders; index as istep">
              <td style="width: 16%; padding-top: 1.6%; word-break: break-all;">
                <div *ngIf="checkStaticTitle(istep); else notStaticType">
                  {{ item.mainProcess }}
                </div>
                <ng-template #notStaticType>
                  {{item.mainProcess}}
                </ng-template>
              </td>
              <td colspan="7" class="pd-0">
                <table class="table-proccess-data wi">
                  <tr *ngFor="let processItem of item.subProcess; index as isub">
                    <td style="width: 19%; padding-top: 1.6%; word-break: break-all;"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      {{processItem.subTitle}}

                    </td>
                    <td style="width: 12%; padding-top: 1.6%; word-break: break-all;"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div *ngIf="processItem.inOut === null"></div>
                      <div *ngIf="processItem.inOut === 'No'">No</div>
                      <div *ngIf="processItem.inOut === 'Outsourcing_full'">Outsourcing-full</div>
                      <div *ngIf="processItem.inOut === 'Outsourcing_partial'">Outsourcing_partial</div>
                      <div *ngIf="processItem.inOut === 'Insourcing'">Insourcing</div>
                      <div *ngIf="processItem.inOut === 'Insourcing_Out_full'">Insourcing->Out-full</div>
                      <div *ngIf="processItem.inOut === 'Insourcing_Out_partial'">Insourcing->Out-partial</div>
                    </td>
                    <td style="width: 12%; padding-top: 1.6%; word-break: break-all;"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>{{processItem.itRelate}}</div>
                    </td>

                    <td style="width: 100%; padding-left: 0px; padding-right: 0px;">
                      <table style="width: 100%;" class="pd-0">
                        <tr *ngFor="let subProcessRisk of processItem.subProcessRisk; index as isubRisk">
                          <td style="min-width: 16.5%; width: 16.5%; max-width: 16.5%; word-break: break-all;"
                            [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                            {{subProcessRisk.risk}}
                          </td>
                          <td style="width: 16%; word-break: break-all;"
                            [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                            {{subProcessRisk.riskControl}}
                          </td>
                          <td style="width: 16%; word-break: break-all;"
                            [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                            {{subProcessRisk.riskControlOther}}
                          </td>

                        </tr>
                      </table>
                    </td>

                  </tr>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
    <div class="col-12">
      <br><br>
    </div>
  </div>

  <div class="row">
    <div class="col-12 table_files">
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
    </div>
    <br>
  </div>
  <br>
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>


<!--------------------------------------------------- The Modal -------------------------------------------------------- -->

<div id="myModal" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
        title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
    </div>
    <br>
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
            [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
            (click)="modalmainImageIndex = i">
        </div>
      </div>
    </div>
  </div>

</div>



<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
            text-align: center;
            height: 56px;
            padding: 12px;
            background-color: rgba(0, 110, 149, 0.1);
          ">
        <div class="col-12" style="
              text-align: center;
              display: flex;
              align-items: center;
              justify-content: center;
            ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of OverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
              justify-items: center !important;
              background-color: #00a4e4;
              width: 150px;
            ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>

<div class="row" *ngIf="validate === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <br>
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>